# PhasicFlow: selectBox Class Reference

selectBox Class Reference
Inheritance diagram for selectBox:
[legend]
Collaboration diagram for selectBox:
[legend]

## Public Member Functions

| TypeInfo ("selectBox")
| selectBox (const pointStructure &pStruct, const dictionary &dict)
| add_vCtor (pStructSelector, selectBox, dictionary)
virtual | ~selectBox ()=default
virtual const int32Vector & | selectedPoinsts () const override
virtual int32Vector & | selectedPoinsts () override
Public Member Functions inherited from pStructSelector
| TypeInfo ("pStructSelector")
| pStructSelector (const pointStructure &pStruct, const dictionary &UNUSED(dict))
| create_vCtor (pStructSelector, dictionary,(const pointStructure &pStruct, const dictionary &dict),(pStruct, dict))
virtual | ~pStructSelector ()=default
const pointStructure & | pStruct () const

## Protected Member Functions

void | selectAllPointsInBox ()

## Protected Attributes

int32Vector | selectedPoints_
box | box_
Protected Attributes inherited from pStructSelector
const pointStructure & | pStruct_

## Additional Inherited Members

Static Public Member Functions inherited from pStructSelector
static uniquePtr< pStructSelector > | create (const pointStructure &pStruct, const dictionary &dict)

## Detailed Description

Definition at line 35 of file selectBox.hpp.

## Constructor & Destructor Documentation

## selectBox()

selectBox | ( | const pointStructure & | pStruct,
|  | const dictionary & | dict
| ) |  |

Definition at line 43 of file selectBox.cpp.

## ~selectBox()

virtual ~selectBox | ( |  | ) |

virtualdefault

## Member Function Documentation

## selectAllPointsInBox()

void selectAllPointsInBox | ( |  | ) |

protected

Definition at line 25 of file selectBox.cpp.

References selectBox::box_, Vector< T, Allocator >::clear(), ForAll, VectorSingle< T, MemorySpace >::hostVector(), box::isInside(), pointStructure::pointPosition(), pStructSelector::pStruct(), Vector< T, Allocator >::reserve(), and selectBox::selectedPoints_.

Here is the call graph for this function:

## TypeInfo()

TypeInfo | ( | "selectBox" |  | ) |

## add_vCtor()

add_vCtor | ( | pStructSelector | ,
|  | selectBox | ,
|  | dictionary |
| ) |  |

## selectedPoinsts() [1/2]

virtual const int32Vector& selectedPoinsts | ( |  | ) | const

inlineoverridevirtual

Implements pStructSelector.

Definition at line 66 of file selectBox.hpp.

References selectBox::selectedPoints_.

## selectedPoinsts() [2/2]

virtual int32Vector& selectedPoinsts | ( |  | ) |

inlineoverridevirtual

Implements pStructSelector.

Definition at line 71 of file selectBox.hpp.

References selectBox::selectedPoints_.

## Member Data Documentation

## selectedPoints_

int32Vector selectedPoints_

protected

Definition at line 41 of file selectBox.hpp.

Referenced by selectBox::selectAllPointsInBox(), and selectBox::selectedPoinsts().

## box_

box box_

protected

Definition at line 43 of file selectBox.hpp.

Referenced by selectBox::selectAllPointsInBox().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/pointStructure/selectors/selectBox/selectBox.hpp
- src/phasicFlow/structuredData/pointStructure/selectors/selectBox/selectBox.cpp